[Cotlet](https://cotlet.dev/index.md) · [Integrations](https://cotlet.dev/integrations.md) · [How it works](https://cotlet.dev/how-it-works.md) · [Use cases](https://cotlet.dev/use-cases.md) · [Security](https://cotlet.dev/security.md) · [For developers](https://cotlet.dev/for-developers.md) · [For automation agencies](https://cotlet.dev/for-agencies.md) · [Blog](https://cotlet.dev/blog.md) · [API docs](https://cotlet.dev/docs.md) · [Help center](https://cotlet.dev/help.md) · [Changelog](https://cotlet.dev/changelog.md) · [Contact](https://cotlet.dev/contact.md) · [Pricing](https://cotlet.dev/pricing.md) · [Sign up](https://cotlet.dev/signup)

# List competitors

> Top SEO or PPC competitors of a domain, ranked by shared keywords. Inputs, cURL, Python and Node.js examples and an example response.

Source: https://cotlet.dev/docs/api/spyfu/list_competitors

Docs sections: [Get started](https://cotlet.dev/docs.md) · [REST API](https://cotlet.dev/docs/api.md) · [MCP](https://cotlet.dev/docs/mcp.md) · [SDKs & CLI](https://cotlet.dev/docs/sdks.md) · [Integrations](https://cotlet.dev/docs/integrations.md)

Top SEO or PPC competitors of a domain, ranked by shared keywords.

SpyFu API: https://cotlet.dev/docs/api/spyfu.md

`GET https://cotlet.dev/api/v1/spyfu/competitors`

Access: read.

Returns the competitors SpyFu finds for one domain, with the number of keywords they share. type seo ranks them by organic keywords in common, ppc by paid keywords in common. Pass the first domains of the result to compare_competitor_keywords.

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `domain` | string | yes | Domain without https://. |
| `type` | string | no | seo or ppc. Defaults to seo. |

## Request

**cURL**

```bash
curl "https://cotlet.dev/api/v1/spyfu/competitors?domain=domain" \
  -H "Authorization: Bearer $COTLET_API_KEY"
```

**Python**

```python
result = client.call("spyfu", "list_competitors", {"domain":"domain"})
```

**Node.js**

```js
const result = await cotlet.call('spyfu', 'list_competitors', {"domain":"domain"});
```

**CLI**

```bash
cotlet call spyfu list_competitors --data '{"domain":"domain"}'
```

## Example response

```json
{
  "domain": "trailkick.com",
  "type": "seo",
  "competitors": [
    {
      "domain": "trailrunner-gear.com",
      "shared_keywords": 1840
    },
    {
      "domain": "sole-supply.com",
      "shared_keywords": 1522
    },
    {
      "domain": "runbarn.com",
      "shared_keywords": 1207
    }
  ]
}
```

Previous: [List SEO keywords](https://cotlet.dev/docs/api/spyfu/list_seo_keywords.md)
Next: [Compare competitor keywords](https://cotlet.dev/docs/api/spyfu/compare_competitor_keywords.md)

---

Give your AI agents your signed-in browser.

**Product:** [Integrations](https://cotlet.dev/integrations.md) · [Use cases](https://cotlet.dev/use-cases.md) · [How it works](https://cotlet.dev/how-it-works.md) · [Pricing](https://cotlet.dev/pricing.md) · [Security](https://cotlet.dev/security.md)

**Resources:** [Blog](https://cotlet.dev/blog.md) · [API docs](https://cotlet.dev/docs.md) · [Help center](https://cotlet.dev/help.md) · [Changelog](https://cotlet.dev/changelog.md) · [GitHub](https://github.com/cotletdev/cotlet)

**Solutions:** [For developers](https://cotlet.dev/for-developers.md) · [For automation agencies](https://cotlet.dev/for-agencies.md)

**Company:** [About](https://cotlet.dev/about.md) · [AI info: company facts](https://cotlet.dev/ai-info.md) · [Contact](https://cotlet.dev/contact.md)

**Legal:** [Terms of service](https://cotlet.dev/terms) · [Privacy policy](https://cotlet.dev/privacy) · [Refund policy](https://cotlet.dev/refunds) · [Acceptable use](https://cotlet.dev/acceptable-use) · [Cookie policy](https://cotlet.dev/cookies) · [DPA](https://cotlet.dev/dpa) · [Subprocessors](https://cotlet.dev/subprocessors)

**Elsewhere:** [Status page](https://status.cotlet.dev) · [Cotlet on GitHub](https://github.com/cotletdev) · [Cotlet on X](https://x.com/cotletdev) · [Cotlet on LinkedIn](https://www.linkedin.com/company/cotletdev) · [Cotlet on Product Hunt](https://www.producthunt.com/products/cotlet) · [Cotlet on Crunchbase](https://www.crunchbase.com/organization/cotlet) · [Cotlet on SaaSHub](https://www.saashub.com/cotlet)

Cotlet.dev is built by Bart Krawczyk and Jake Slugocki, the founders of Take Group sp. z o.o., ul. Wincentego Janasa 4, 40-855 Katowice, Poland. KRS 0000871398, NIP 6342984273, VAT EU: PL6342984273. [About us](https://cotlet.dev/about.md)

Cotlet is an independent service. It is not affiliated with, endorsed by or sponsored by any of the products listed on this site. Product names are trademarks of their respective owners.
